<?php $__env->startSection('panel'); ?>
    <div class="row">
        <div class="col-md-12">
            <div class="card b-radius--10">
                <div class="card-body p-0">
                    <div class="table-responsive--sm table-responsive">
                        <table class="table table--light style--two">
                            <thead>
                                <tr>
                                    <th><?php echo app('translator')->get('Name'); ?></th>
                                    <th><?php echo app('translator')->get('Is Featured'); ?></th>
                                    <th><?php echo app('translator')->get('Status'); ?></th>
                                    <th><?php echo app('translator')->get('Action'); ?></th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php $__empty_1 = true; $__currentLoopData = $categories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $category): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                                    <tr>
                                        <td class="text-start">
                                            <div class="d-flex flex-wrap justify-content-end justify-content-lg-start">
                                                <span class="avatar avatar--xs me-2">
                                                    <img
                                                        src="<?php echo e(getImage(getFilePath('category') . '/' . $category->image, getFileSize('category'))); ?>">
                                                </span>
                                                <span class="mt-1">
                                                    <?php echo e(__($category->name)); ?>

                                                </span>
                                            </div>
                                        </td>

                                        <td>
                                            <?php if($category->is_featured == Status::CATEGORY_FEATURED): ?>
                                                <span class="badge badge--info"> <?php echo app('translator')->get('Yes'); ?></span>
                                            <?php else: ?>
                                                <span class="badge badge--warning"> <?php echo app('translator')->get('No'); ?></span>
                                            <?php endif; ?>
                                        </td>

                                        <td>
                                            <?php echo $category->statusBadge; ?>
                                        </td>
                                        <?php
                                            $category->image_with_path = getImage(
                                                getFilePath('category') . '/' . $category->image,
                                                getFileSize('category'),
                                            );
                                        ?>
                                        <td>
                                            <div class="btn-group">
                                                <div class="d-flex justify-content-end flex-wrap gap-1">
                                                    <button class="btn btn-outline--primary editBtn cuModalBtn btn-sm"
                                                        data-modal_title="<?php echo app('translator')->get('Update Category'); ?>"
                                                        data-resource="<?php echo e($category); ?>" data-edit="true">
                                                        <i class="las la-pen"></i><?php echo app('translator')->get('Edit'); ?>
                                                    </button>
                                                    <a class="btn btn-outline--warning btn-sm"
                                                        href="<?php echo e(route('admin.category.pricing', $category->id)); ?>"
                                                        title="<?php echo app('translator')->get('Dynamic pricing head generation'); ?>">
                                                        <i class="las la-cogs"></i><?php echo app('translator')->get('Pricing'); ?>
                                                    </a>

                                                    <button class="btn btn-outline--info btn-sm dropdown-toggle"
                                                        data-bs-toggle="dropdown">
                                                        <i class="las la-ellipsis-v"></i> <?php echo app('translator')->get('More'); ?>
                                                    </button>
                                                    <ul class="dropdown-menu px-2">
                                                        <li>
                                                            <?php if($category->status == Status::ENABLE): ?>
                                                                <span class="dropdown-item cursor-pointer confirmationBtn"
                                                                    data-question="<?php echo app('translator')->get('Are you sure to disable this category?'); ?>"
                                                                    data-action="<?php echo e(route('admin.category.status', $category->id)); ?>">
                                                                    <i class="la la-eye-slash"></i> <?php echo app('translator')->get('Disable'); ?>
                                                                </span>
                                                            <?php else: ?>
                                                                <span class="dropdown-item cursor-pointer confirmationBtn"
                                                                    data-question="<?php echo app('translator')->get('Are you sure to enable this category?'); ?>"
                                                                    data-action="<?php echo e(route('admin.category.status', $category->id)); ?>">
                                                                    <i class="la la-eye"></i> <?php echo app('translator')->get('Enable'); ?>
                                                                </span>
                                                            <?php endif; ?>
                                                        </li>
                                                        <li>
                                                            <?php if($category->is_featured == Status::CATEGORY_FEATURED): ?>
                                                                <span class="dropdown-item cursor-pointer confirmationBtn"
                                                                    data-question="<?php echo app('translator')->get('Are you sure to unfeature this category?'); ?>"
                                                                    data-action="<?php echo e(route('admin.category.feature', $category->id)); ?>">
                                                                    <i class="las la-star-half-alt"></i> <?php echo app('translator')->get('Unfeature'); ?>
                                                                </span>
                                                            <?php else: ?>
                                                                <span class="dropdown-item cursor-pointer confirmationBtn"
                                                                    data-question="<?php echo app('translator')->get('Are you sure to feature this category?'); ?>"
                                                                    data-action="<?php echo e(route('admin.category.feature', $category->id)); ?>">
                                                                    <i class="las la-star"></i> <?php echo app('translator')->get('Feature'); ?>
                                                                </span>
                                                            <?php endif; ?>
                                                        </li>
                                                    </ul>
                                                </div>

                                            </div>
                                        </td>
                                    </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                                    <tr>
                                        <td class="text-muted text-center" colspan="100%"><?php echo e(__($emptyMessage)); ?></td>
                                    </tr>
                                <?php endif; ?>
                            </tbody>
                        </table>
                    </div>
                </div>
                <?php if($categories->hasPages()): ?>
                    <div class="card-footer py-4">
                        <?php echo e(paginateLinks($categories)); ?>

                    </div>
                <?php endif; ?>
            </div>
        </div>
    </div>

    <?php
        $categoryImage = getImage(getFilePath('category'), getFileSize('category'));
    ?>
    <!--Cu Modal -->
    <div class="modal fade" id="cuModal" role="dialog" tabindex="-1">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title"></h5>
                    <button class="close" data-bs-dismiss="modal" type="button" aria-label="Close">
                        <i class="las la-times"></i>
                    </button>
                </div>
                <form action="<?php echo e(route('admin.category.store')); ?>" method="POST" enctype="multipart/form-data">
                    <?php echo csrf_field(); ?>
                    <div class="modal-body">
                        <div class="form-group">
                            <label><?php echo app('translator')->get('Image'); ?></label>
                            <?php if (isset($component)) { $__componentOriginaldbcc027cdd3569f61821c56d10b77c01 = $component; } ?>
<?php if (isset($attributes)) { $__attributesOriginaldbcc027cdd3569f61821c56d10b77c01 = $attributes; } ?>
<?php $component = Illuminate\View\AnonymousComponent::resolve(['view' => 'components.image-uploader','data' => ['name' => 'image','imagePath' => $categoryImage,'size' => getFileSize('category'),'class' => 'w-100','id' => 'profilePicUpload','required' => false]] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? $attributes->all() : [])); ?>
<?php $component->withName('image-uploader'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag): ?>
<?php $attributes = $attributes->except(\Illuminate\View\AnonymousComponent::ignoredParameterNames()); ?>
<?php endif; ?>
<?php $component->withAttributes(['name' => 'image','imagePath' => \Illuminate\View\Compilers\BladeCompiler::sanitizeComponentAttribute($categoryImage),'size' => \Illuminate\View\Compilers\BladeCompiler::sanitizeComponentAttribute(getFileSize('category')),'class' => 'w-100','id' => 'profilePicUpload','required' => \Illuminate\View\Compilers\BladeCompiler::sanitizeComponentAttribute(false)]); ?>
<?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__attributesOriginaldbcc027cdd3569f61821c56d10b77c01)): ?>
<?php $attributes = $__attributesOriginaldbcc027cdd3569f61821c56d10b77c01; ?>
<?php unset($__attributesOriginaldbcc027cdd3569f61821c56d10b77c01); ?>
<?php endif; ?>
<?php if (isset($__componentOriginaldbcc027cdd3569f61821c56d10b77c01)): ?>
<?php $component = $__componentOriginaldbcc027cdd3569f61821c56d10b77c01; ?>
<?php unset($__componentOriginaldbcc027cdd3569f61821c56d10b77c01); ?>
<?php endif; ?>
                        </div>

                        <div class="form-group">
                            <label><?php echo app('translator')->get('Name'); ?></label>
                            <input class="form-control" name="name" type="text" required>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button class="btn btn--primary w-100 h-45" type="submit"><?php echo app('translator')->get('Submit'); ?></button>
                    </div>
                </form>
            </div>
        </div>
    </div>
    <?php if (isset($component)) { $__componentOriginalbd5922df145d522b37bf664b524be380 = $component; } ?>
<?php if (isset($attributes)) { $__attributesOriginalbd5922df145d522b37bf664b524be380 = $attributes; } ?>
<?php $component = App\View\Components\ConfirmationModal::resolve([] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? $attributes->all() : [])); ?>
<?php $component->withName('confirmation-modal'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag): ?>
<?php $attributes = $attributes->except(\App\View\Components\ConfirmationModal::ignoredParameterNames()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?>
<?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__attributesOriginalbd5922df145d522b37bf664b524be380)): ?>
<?php $attributes = $__attributesOriginalbd5922df145d522b37bf664b524be380; ?>
<?php unset($__attributesOriginalbd5922df145d522b37bf664b524be380); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalbd5922df145d522b37bf664b524be380)): ?>
<?php $component = $__componentOriginalbd5922df145d522b37bf664b524be380; ?>
<?php unset($__componentOriginalbd5922df145d522b37bf664b524be380); ?>
<?php endif; ?>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('breadcrumb-plugins'); ?>
    <?php if (isset($component)) { $__componentOriginale48b4598ffc2f41a085f001458a956d1 = $component; } ?>
<?php if (isset($attributes)) { $__attributesOriginale48b4598ffc2f41a085f001458a956d1 = $attributes; } ?>
<?php $component = Illuminate\View\AnonymousComponent::resolve(['view' => 'components.search-form','data' => []] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? $attributes->all() : [])); ?>
<?php $component->withName('search-form'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag): ?>
<?php $attributes = $attributes->except(\Illuminate\View\AnonymousComponent::ignoredParameterNames()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?>
<?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__attributesOriginale48b4598ffc2f41a085f001458a956d1)): ?>
<?php $attributes = $__attributesOriginale48b4598ffc2f41a085f001458a956d1; ?>
<?php unset($__attributesOriginale48b4598ffc2f41a085f001458a956d1); ?>
<?php endif; ?>
<?php if (isset($__componentOriginale48b4598ffc2f41a085f001458a956d1)): ?>
<?php $component = $__componentOriginale48b4598ffc2f41a085f001458a956d1; ?>
<?php unset($__componentOriginale48b4598ffc2f41a085f001458a956d1); ?>
<?php endif; ?>
    <button class="btn btn-sm btn-outline--primary cuModalBtn" data-modal_title="<?php echo app('translator')->get('Add Category'); ?>">
        <i class="las la-plus"></i><?php echo app('translator')->get('Add New'); ?>
    </button>
<?php $__env->stopPush(); ?>

<?php $__env->startPush('script-lib'); ?>
    <script src="<?php echo e(asset('assets/admin/js/cu-modal.js')); ?>"></script>
<?php $__env->stopPush(); ?>

<?php $__env->startPush('script'); ?>
    <script>
        (function($) {
            "use strict";

            $('.cuModalBtn').on('click', function() {
                var isEdit = $(this).data('edit');
                var imageInput = $('#cuModal').find('[name=image]');

                if (isEdit) {
                    imageInput.removeAttr('required');
                    imageInput.closest('.form-group').find('label').first().removeClass('required');
                } else {
                    imageInput.attr('required', 'required');
                    imageInput.closest('.form-group').find('label').first().addClass('required');
                }
            });

            $('#cuModal').on('hidden.bs.modal', function() {
                $(this).find('.profilePicPreview').css('background-image', `url('<?php echo e($categoryImage); ?>')`)
            })

        })(jQuery);
    </script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('admin.layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/takemkbc/mostaqlen.com/core/resources/views/admin/category/index.blade.php ENDPATH**/ ?>