<?php
    $content = getContent('login.content', true);
    $subcategories = App\Models\Subcategory::active()
        ->whereHas('category', function ($q) {
            $q->active();
        })
        ->featured()
        ->hasGigs()
        ->get();
    $partnerElement = getContent('partner.element', orderById: true);
?>



<?php $__env->startSection('panel'); ?>
    <section class="account">
        <div class="account__inner">
            <div class="account-left bg-img" data-background-image="<?php echo e(frontendImage('login', @$content->data_values->image, '640x960')); ?>">
                <div class="account-left__content">
                    <h2 class="account-left__title">
                        <?php echo e(__($content->data_values->heading)); ?>

                    </h2>
                    <p class="account-left__desc">
                        <?php echo e(__($content->data_values->subheading)); ?>

                    </p>
                    <ul class="tag-list">
                        <?php $__currentLoopData = $subcategories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $subcategory): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <li class="tag-list__item"><a class="tag-list__link" href="<?php echo e(route('gig.subcategories', $subcategory->id)); ?>"><?php echo e(__($subcategory->name)); ?></a>
                            </li>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </ul>
                    <div class="brand__inner py-20">
                        <div class="brand__logos-wrapper">
                            <div class="brand__logos brand__slider-two">
                                <?php $__currentLoopData = $partnerElement; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $partner): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <img src="<?php echo e(frontendImage('partner', @$partner->data_values->image, '160x30')); ?>" alt="<?php echo app('translator')->get('image'); ?>">
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="account-right">

                <div class="account-right__body">
                    <div class="account-right__header">
                        <a class="account-right__logo logo" href="<?php echo e(route('home')); ?>">
                            <img src="<?php echo e(siteLogo('dark')); ?>" alt="<?php echo app('translator')->get('logo'); ?>">
                        </a>
                        <p class="account-right__member-text">
                            <?php echo app('translator')->get('Don\'t have an account?'); ?> <a href="<?php echo e(route('user.register')); ?>"><span class="underline"><?php echo app('translator')->get('Sign Up'); ?></span></a>
                        </p>
                    </div>

                    <div class="account-right__content">
                        <form class="account-form verify-gcaptcha" method="POST" action="<?php echo e(route('user.login')); ?>">
                            <?php echo csrf_field(); ?>
                            <div class="section-heading">
                                <h3 class="account-right__title section-heading__title " data-break="-1" data-length="1"><?php echo e(__(@$content->data_values->title)); ?></h3>
                                <p class="account-right__title__desc"><?php echo e(__(@$content->data_values->subtitle)); ?></p>
                            </div>

                            <?php echo $__env->make($activeTemplate . 'partials.social_login', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

                            <div class="row">
                                <div class="col-md-12 form-group">
                                    <label class="form--label required" for="username"><?php echo app('translator')->get('Username or Email'); ?></label>
                                    <input class="form--control" id="username" name="username" type="text" value="<?php echo e(old('username')); ?>" required>
                                </div>

                                <div class="col-md-12 form-group">
                                    <label class="form--label required" for="your-password"><?php echo app('translator')->get('Password'); ?></label>
                                    <div class="position-relative">
                                        <input class="form--control" id="your-password" name="password" type="password" required>
                                        <span class="password-show-hide fas toggle-password fa-eye-slash" id="#your-password"></span>
                                    </div>
                                </div>

                                <?php if (isset($component)) { $__componentOriginalff0a9fdc5428085522b49c68070c11d6 = $component; } ?>
<?php if (isset($attributes)) { $__attributesOriginalff0a9fdc5428085522b49c68070c11d6 = $attributes; } ?>
<?php $component = App\View\Components\Captcha::resolve([] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? $attributes->all() : [])); ?>
<?php $component->withName('captcha'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag): ?>
<?php $attributes = $attributes->except(\App\View\Components\Captcha::ignoredParameterNames()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?>
<?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__attributesOriginalff0a9fdc5428085522b49c68070c11d6)): ?>
<?php $attributes = $__attributesOriginalff0a9fdc5428085522b49c68070c11d6; ?>
<?php unset($__attributesOriginalff0a9fdc5428085522b49c68070c11d6); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalff0a9fdc5428085522b49c68070c11d6)): ?>
<?php $component = $__componentOriginalff0a9fdc5428085522b49c68070c11d6; ?>
<?php unset($__componentOriginalff0a9fdc5428085522b49c68070c11d6); ?>
<?php endif; ?>

                                <div class="col-md-12 form-group">
                                    <div class="d-flex justify-content-between flex-wrap">
                                        <div class="form--check">
                                            <input class="form-check-input" id="remember" name="remember" type="checkbox" <?php if(old('remember')): echo 'checked'; endif; ?>>
                                            <label class="form-check-label" for="remember"><?php echo app('translator')->get('Remember Me'); ?></label>
                                        </div>
                                        <a class="forgot-password" href="<?php echo e(route('user.password.request')); ?>"><?php echo app('translator')->get('Forgot your password?'); ?></a>
                                    </div>
                                </div>
                                <div class="col-md-12 form-group">
                                    <button class="w-100 btn btn--base" id="recaptcha" type="submit">
                                        <?php echo app('translator')->get('Sign In'); ?>
                                    </button>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </section>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('style-lib'); ?>
    <link href="<?php echo e(asset($activeTemplateTrue . 'css/main.css')); ?>" rel="stylesheet">
<?php $__env->stopPush(); ?>

<?php $__env->startPush('script-lib'); ?>
    <?php echo $__env->make($activeTemplate . 'partials.script_lib', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php $__env->stopPush(); ?>

<?php echo $__env->make($activeTemplate . 'layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/takemkbc/mostaqlen.com/core/resources/views/templates/basic/user/auth/login.blade.php ENDPATH**/ ?>