<?php
    $categoryContent = getContent('featured_category.content', true);
    $categories = App\Models\Category::active()
        ->featured()
        ->with([
            'gigs' => function ($q) {
                $q->approved()->withAvg('reviews', 'rating');
            },
        ])
        ->withCount([
            'gigs' => function ($q) {
                $q->approved();
            },
        ])
        ->get();
?>

<?php if($categories->count()): ?>    
    <section class="popular-categories pb-120">
        <div class="container">
            <div class="section-heading">
                <h3 class="section-heading__title highlight" data-break="-1" data-length="1"><?php echo e(__($categoryContent->data_values->heading)); ?></h3>
            </div>
            <div class="popular-categories__list category-slider">
                <?php $__currentLoopData = $categories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $category): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <div class="popular-categories__item">
                        <a class="popular-categories__category" href="<?php echo e(route('gig.categories', $category->id)); ?>"></a>
                        <div class="popular-categories__item-icon">
                            <img src="<?php echo e(getImage(getFilePath('category') . '/' . $category->image, getFileSize('category'))); ?>" alt="<?php echo app('translator')->get('image'); ?>">
                        </div>
                        <div class="popular-categories__item-content">
                            <h6 class="popular-categories__title"><?php echo e(__($category->name)); ?></h6>
                        </div>
                    </div>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </div>
        </div>
    </section>
<?php endif; ?>
<?php /**PATH /home/takemkbc/mostaqlen.com/core/resources/views/templates/basic/sections/featured_category.blade.php ENDPATH**/ ?>