<?php
    $gigContent = getContent('popular_gig.content', true);
    $subcategories = App\Models\Subcategory::active()
        ->whereHas('category', function ($q) {
            $q->active();
        })
        ->popular()
        ->hasGigs()
        ->with([
            'gigs' => function ($q) {
                $q->approved();
            },
            'gigs.user',
            'gigs.reviews',
            'gigs.images',
            'gigs.gigPricing',
        ])
        ->get(['id', 'name']);
?>
<?php $__currentLoopData = $subcategories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $subcategory): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
    <section class="popular-gigs pb-120">
        <div class="container">
            <div class="section-heading flex-between gap-3">
                <h3 class="section-heading__title">
                    <?php echo e(__($gigContent->data_values->heading)); ?> <span><?php echo e(__($subcategory->name)); ?></span>
                </h3>
                <a class="view-more-link btn btn-outline--base btn--sm" href="<?php echo e(route('gig.subcategories', $subcategory->id)); ?>">
                    <span><?php echo app('translator')->get('View more'); ?></span>
                    <i class="fas fa-long-arrow-alt-right"></i>
                </a>
            </div>
            <div class="row g-4">
                <?php $__currentLoopData = $subcategory->gigs->take(4); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $gig): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <?php echo $__env->make($activeTemplate . 'partials.gig', ['cols' => 'col-xsm-6 col-sm-6 col-lg-4 col-xl-3'], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </div>
        </div>
    </section>
<?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
<?php /**PATH /home/takemkbc/mostaqlen.com/core/resources/views/templates/basic/sections/popular_gig.blade.php ENDPATH**/ ?>