<?php
    $language = App\Models\Language::all();
    $selectedLang = $language->where('code', session('lang'))->first();
    $categories = App\Models\Category::active()
        ->with([
            'subcategories' => function ($query) {
                $query->active();
            },
        ])
        ->get();
?>

<header class="header <?php if(!request()->routeIs('home')): ?> internal-page-header <?php endif; ?>" id="header">
    <div class="header-top">
        <div class="container">
            <nav class="navbar navbar-expand-lg navbar-light">
                <a class="navbar-brand logo me-auto order-1" href="<?php echo e(route('home')); ?>">
                    <img src="<?php echo e(siteLogo(null, true)); ?>" alt="<?php echo e(__(gs()->site_name)); ?>">
                </a>
                <?php if(auth()->guard()->check()): ?>
                    <div class="dropdown dropdown--profile order-2 order-lg-4 me-4 ms-lg-4 me-lg-0">
                        <div class="dropdown-toggle" data-bs-toggle="dropdown">
                            <img src="<?php echo e(avatar(auth()->user()->image ? getFilePath('userProfile') . '/' . auth()->user()->image : null)); ?>"
                                alt="<?php echo app('translator')->get('image'); ?>">
                        </div>

                        <ul class="dropdown-menu">
                            <li>
                                <a class="dropdown-link" href="<?php echo e(route('user.home')); ?>">
                                    <span class="icon"><i class="las la-user-circle"></i></span>
                                    <span class="text"><?php echo app('translator')->get('Dashboard'); ?></span>
                                </a>
                            </li>
                            <li>
                                <a class="dropdown-link" href="<?php echo e(route('user.profile.setting')); ?>">
                                    <span class="icon"><i class="las la-user-circle"></i></span>
                                    <span class="text"><?php echo app('translator')->get('My Profile'); ?></span>
                                </a>
                            </li>
                            <li>
                                <a class="dropdown-link" href="<?php echo e(route('user.change.password')); ?>">
                                    <span class="icon"><i class="la la-lock"></i></span>
                                    <span class="text"><?php echo app('translator')->get('Password'); ?></span>
                                </a>
                            </li>
                            <li>
                                <a class="dropdown-link" href="<?php echo e(route('user.twofactor')); ?>">
                                    <span class="icon"> <i class="la la-key"></i></span>
                                    <span class="text"><?php echo app('translator')->get('2FA Security'); ?></span>
                                </a>
                            </li>
                            <li>
                                <a class="dropdown-link" href="<?php echo e(route('ticket.index')); ?>">
                                    <span class="icon"> <i class="la la-ticket-alt"></i></span>
                                    <span class="text"><?php echo app('translator')->get('Support'); ?></span>
                                </a>
                            </li>
                            <li>
                                <a class="dropdown-link" href="<?php echo e(route('user.logout')); ?>">
                                    <span class="icon"><i class="las la-sign-out-alt"></i></span>
                                    <span class="text"> <?php echo app('translator')->get('Logout'); ?></span>
                                </a>
                            </li>
                        </ul>
                    </div>
                <?php endif; ?>
                <button class="navbar-toggler header-button order-3" data-bs-toggle="collapse"
                    data-bs-target="#navbarContent" type="button" aria-controls="navbarContent" aria-expanded="false"
                    aria-label="Toggle navigation">
                    <i class="fas la-bars"></i>
                </button>

                <div class="collapse navbar-collapse order-4 order-lg-2" id="navbarContent">
                    <div class="w-100 d-flex flex-column align-items-start flex-lg-row align-items-lg-center">
                        <ul class="navbar-nav nav-menu ms-auto align-items-lg-center">
                            <li class="nav-item">
                                <a class="nav-link <?php echo e(menuActive('home')); ?>"
                                    href="<?php echo e(route('home')); ?>"><?php echo app('translator')->get('Home'); ?></a>
                            </li>

                            <?php if(@$pages): ?>
                                <?php $__currentLoopData = $pages; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $k => $data): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <li class="nav-item">
                                        <a class="nav-link <?php echo e(menuActive('pages', null, $data->slug)); ?>"
                                            href="<?php echo e(route('pages', [$data->slug])); ?>"><?php echo e(__($data->name)); ?></a>
                                    </li>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            <?php endif; ?>
                            <li class="nav-item">
                                <a class="nav-link <?php echo e(menuActive('blog')); ?>"
                                    href="<?php echo e(route('blog')); ?>"><?php echo app('translator')->get('Blogs'); ?></a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link <?php echo e(menuActive('contact')); ?>"
                                    href="<?php echo e(route('contact')); ?>"><?php echo app('translator')->get('Contact'); ?></a>
                            </li>
                            <li class="nav-item d-lg-none">
                                <a class="nav-link" data-bs-toggle="collapse" data-bs-target="#catagoriesContent"
                                    href="#" role="button">
                                    <?php echo app('translator')->get('Categories'); ?>
                                    <span class="nav-item__icon"><i class="las la-angle-down"></i></span>
                                </a>
                                <div class="collapse" id="catagoriesContent">
                                    <?php $__currentLoopData = $categories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $category): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <div class="dropdown">
                                            <a class="nav-link" data-bs-toggle="dropdown" data-bs-auto-close="outside"
                                                href="<?php echo e(route('gig.categories', $category->id)); ?>"
                                                aria-expanded="false">
                                                <?php echo e(__($category->name)); ?>

                                                <?php if($category->subcategories->count()): ?>
                                                    <span class="nav-item__icon"><i
                                                            class="las la-angle-down"></i></span>
                                                <?php endif; ?>
                                            </a>
                                            <ul class="dropdown-menu">
                                                <?php $__currentLoopData = $category->subcategories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $subcategory): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                    <li class="dropdown-menu__list"><a
                                                            class="dropdown-item dropdown-menu__link"
                                                            href="<?php echo e(route('gig.subcategories', $subcategory->id)); ?>"><?php echo e(__($subcategory->name)); ?></a>
                                                    </li>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                            </ul>
                                        </div>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </div>
                            </li>
                        </ul>
                        <div class="navbar-action">
                            <?php if(gs()->multi_language): ?>
                                <div class="dropdown-lang dropdown mt-0 d-block">
                                    <a href="#" class="language-btn dropdown-toggle" data-bs-toggle="dropdown"
                                        aria-expanded="false">
                                        <img class="flag"
                                            src="<?php echo e(getImage(getFilePath('language') . '/' . @$selectedLang->image, getFileSize('language'))); ?>"
                                            alt="us">
                                        <span class="language-text"><?php echo e(@$selectedLang->name); ?></span>
                                    </a>
                                    <ul class="dropdown-menu">
                                        <?php $__currentLoopData = $language; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $lang): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <li><a href="<?php echo e(route('lang', $lang->code)); ?>"><img class="flag"
                                                        src="<?php echo e(getImage(getFilePath('language') . '/' . @$lang->image, getFileSize('language'))); ?>"
                                                        alt="<?php echo app('translator')->get('image'); ?>">
                                                    <?php echo e(@$lang->name); ?></a>
                                            </li>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </ul>
                                </div>
                            <?php endif; ?>
                            <?php if(auth()->guard()->guest()): ?>
                                <div class="navbar-buttons">
                                    <a class="btn pill btn--base" href="<?php echo e(route('user.login')); ?>"><?php echo app('translator')->get('Sign In'); ?></a>
                                    <a class="btn pill btn-outline--base"
                                        href="<?php echo e(route('user.register')); ?>"><?php echo app('translator')->get('Sign Up'); ?></a>
                                </div>
                            <?php endif; ?>
                        </div>
                    </div>
                </div>
            </nav>
        </div>
    </div>

    <div class="header-bottom d-none d-lg-block">
        <div class="container">
            <nav class="navbar navbar-expand-lg navbar-light navbar--categories">
                <button class="navbar__prev" type="button">
                    <i class="las la-angle-left"></i>
                </button>
                <ul class="navbar-nav nav-menu align-items-lg-center primary-nav">
                    <?php $__currentLoopData = $categories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $category): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <?php
                            $activeClass = '';
                            if (request()->routeIs('gig.categories') && request()->segment(3) == $category->id) {
                                $activeClass = 'active';
                            } else {
                                foreach ($category->subcategories as $subcategory) {
                                    if (
                                        request()->routeIs('gig.subcategories') &&
                                        request()->segment(3) == $subcategory->id
                                    ) {
                                        $activeClass = 'active';
                                        break;
                                    }
                                }
                            }
                        ?>
                        <li class="nav-item dropdown <?php echo e($activeClass); ?>">
                            <a class="nav-link" href="<?php echo e(route('gig.categories', $category->id)); ?>"
                                aria-expanded="false"><?php echo e(__($category->name)); ?></a>
                            <?php if($category->subcategories->count()): ?>
                                <ul class="dropdown-menu">
                                    <?php $__currentLoopData = $category->subcategories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $subcategory): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <li class="dropdown-menu__list">
                                            <a class="dropdown-item dropdown-menu__link <?php echo e(request()->routeIs('gig.subcategories') && request()->segment(3) == $subcategory->id ? 'menuActive' : ''); ?>"
                                                href="<?php echo e(route('gig.subcategories', $subcategory->id)); ?>"><?php echo e(__($subcategory->name)); ?></a>
                                        </li>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </ul>
                            <?php endif; ?>
                        </li>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </ul>
                <button class="navbar__next" type="button">
                    <i class="las la-angle-right"></i>
                </button>
            </nav>
        </div>
    </div>


</header>


<?php $__env->startPush('script'); ?>
    <script>
        "use strict";
        (function($) {
            let navbarWrapper = $('.navbar--categories .navbar__wrapper');
            let navbarMenu = $('.navbar--categories .nav-menu');
            let navbarMenuItems = navbarMenu.find('.nav-item');
            let navbarMenuFirstItem = navbarMenu.find('.nav-item:first-child')[0];
            let navbarMenuLastItem = navbarMenu.find('.nav-item:last-child')[0];
            let navbarMenuPrev = $('.navbar__prev');
            let navbarMenuNext = $('.navbar__next');
            let count = 0;
            let observerOptions = {
                root: $('.navbar--categories')[0],
                rootMargin: "1px",
                threshold: 1
            }

            function moveTrack(action = '') {

                //store the length of button in track
                let totalItems = navbarMenuItems.length;

                //generate a avg width for track
                let navbarMenuAvgWidth = Math.ceil(navbarMenu[0].clientWidth / totalItems);

                //increment || decrement = next || prev
                count = action == 'next' ? count + 1 : count - 1;

                //change the css transform value
                navbarMenu.css('transform', `translateX(-${(navbarMenuAvgWidth * count)}px)`);
            }

            function setIntersectionObserver(element, ctrlBtn) {

                let observer = new IntersectionObserver((entries) => {

                    entries.forEach(entry => {

                        if (entry.intersectionRatio >= 1) {

                            //disappear the prev button when the first button appears entirely
                            $(ctrlBtn).removeClass('d-block');

                        } else {

                            //appear the prev button when the first button starts disapearing
                            $(ctrlBtn).addClass('d-block');
                        }

                    });

                }, observerOptions);

                return observer.observe(element);
            }

            setIntersectionObserver(navbarMenuFirstItem, navbarMenuPrev[0]);
            setIntersectionObserver(navbarMenuLastItem, navbarMenuNext[0]);

            $(navbarMenuPrev).on('click', function() {
                moveTrack()
            })

            $(navbarMenuNext).on('click', function() {
                moveTrack('next')
            })

        })(jQuery);
    </script>
<?php $__env->stopPush(); ?>
<?php /**PATH /home/takemkbc/mostaqlen.com/core/resources/views/templates/basic/partials/header.blade.php ENDPATH**/ ?>