<?php
    $contactContent = getContent('contact_us.content', true);
    $contactElement = getContent('contact_us.element', false, null, true);
?>


<?php $__env->startSection('content'); ?>
    <section class="contact-page py-120">
        <div class="container">
            <div class="row gy-4 justify-content-center">
                <div class="col-lg-10">
                    <div class="row gy-5">
                        <div class="col-md-6">
                            <div class="contact-form">
                                <div class="contact-form-area">
                                    <div class="section-heading">
                                        <h3><?php echo e(__(@$contactContent->data_values->heading)); ?></h3>
                                        <p><?php echo e(__(@$contactContent->data_values->subheading)); ?></p>
                                    </div>
                                    <form class="verify-gcaptcha contact-form" method="POST" autocomplete="off">
                                        <?php echo csrf_field(); ?>
                                        <div class="row gy-2">
                                            <div class="col-lg-12 form-group">
                                                <input class="form--control" placeholder="Full Name" name="name" type="text"
                                                    value="<?php echo e(old('name', @$user->fullname)); ?>" <?php if($user && $user->profile_complete): ?> readonly <?php endif; ?>
                                                    required>
                                            </div>

                                            <div class="col-lg-12 form-group">
                                                <input class="form--control" placeholder="Your Email" name="email" type="email"
                                                    value="<?php echo e(old('email', @$user->email)); ?>" <?php if($user): ?> readonly <?php endif; ?> required>
                                            </div>
                                            <div class="col-lg-12 form-group">
                                                <input class="form--control" placeholder="Subject" name="subject" type="text"
                                                    value="<?php echo e(old('subject')); ?>">
                                            </div>
                                            <div class="col-lg-12 form-group">
                                                <textarea class="form--control" placeholder="Message" name="message" cols="30" rows="10" required><?php echo e(old('message')); ?></textarea>
                                            </div>
                                            <?php if (isset($component)) { $__componentOriginalff0a9fdc5428085522b49c68070c11d6 = $component; } ?>
<?php if (isset($attributes)) { $__attributesOriginalff0a9fdc5428085522b49c68070c11d6 = $attributes; } ?>
<?php $component = App\View\Components\Captcha::resolve([] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? $attributes->all() : [])); ?>
<?php $component->withName('captcha'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag): ?>
<?php $attributes = $attributes->except(\App\View\Components\Captcha::ignoredParameterNames()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?>
<?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__attributesOriginalff0a9fdc5428085522b49c68070c11d6)): ?>
<?php $attributes = $__attributesOriginalff0a9fdc5428085522b49c68070c11d6; ?>
<?php unset($__attributesOriginalff0a9fdc5428085522b49c68070c11d6); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalff0a9fdc5428085522b49c68070c11d6)): ?>
<?php $component = $__componentOriginalff0a9fdc5428085522b49c68070c11d6; ?>
<?php unset($__componentOriginalff0a9fdc5428085522b49c68070c11d6); ?>
<?php endif; ?>

                                            <div class="col-lg-12 text-end">
                                                <button class="btn btn--base w-100" type="submit"><?php echo app('translator')->get('Send Message'); ?></button>
                                            </div>
                                        </div>
                                    </form>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="contact-map">
                                <iframe src="<?php echo e($contactContent->data_values->map_embed_url); ?>" allowfullscreen="" loading="lazy"
                                    referrerpolicy="no-referrer-when-downgrade"></iframe>
                            </div>
                        </div>
                    </div>

                    <div class="contact-item-wrapper pt-120">
                        <div class="row gy-4 justify-content-center">
                            <?php $__currentLoopData = $contactElement; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $contact): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <div class="col-lg-4 col-sm-6">
                                    <div class="contact-list__item h-100">
                                        <div class="contact-list__item-icon">
                                            <?php
                                                echo @$contact->data_values->icon;
                                            ?>
                                        </div>

                                        <div class="contact-list__item-content">
                                            <h4 class="title"><?php echo e(__(@$contact->data_values->title)); ?></h4>
                                            <?php if(in_array(@$contact->data_values->contact_type, ['mailto', 'tel'])): ?>
                                                <p class="desc">
                                                    <a href="<?php echo e(@$contact->data_values->contact_type); ?>:<?php echo e(@$contact->data_values->content); ?>">
                                                        <?php echo e(__(@$contact->data_values->content)); ?>

                                                    </a>
                                                </p>
                                            <?php else: ?>
                                                <p class="desc"><?php echo e(__(@$contact->data_values->content)); ?></p>
                                            <?php endif; ?>
                                        </div>
                                    </div>
                                </div>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>

    <?php if($sections->secs != null): ?>
        <?php $__currentLoopData = json_decode($sections->secs); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $sec): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            <?php echo $__env->make($activeTemplate . 'sections.' . $sec, \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
    <?php endif; ?>
<?php $__env->stopSection(); ?>


<?php $__env->startPush('script'); ?>
    <script>
        "use strict";
        (function($) {
            $(".call-to-action").addClass('pt-60')
        })(jQuery);
    </script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make($activeTemplate . 'layouts.frontend', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/takemkbc/mostaqlen.com/core/resources/views/templates/basic/contact.blade.php ENDPATH**/ ?>