<?php
    $content = getContent('blog.content', true);
    $blogs = getContent('blog.element', limit: 3);
?>

<section class="container pb-120">
    <div class="section-heading flex-between gap-3">
        <h3 class="section-heading__title highlight" data-break="-1" data-length="1"><?php echo e(__(@$content->data_values->heading)); ?></h3>
        <a class="view-more-link btn btn-outline--base btn--sm" href="<?php echo e(route('blog')); ?>">
            <span><?php echo app('translator')->get('View more'); ?></span>
            <i class="fas fa-long-arrow-alt-right"></i>
        </a>
    </div>
    <div class="row g-4 justify-content-center">
        <?php $__currentLoopData = $blogs; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $blog): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            <div class="col-sm-6 col-lg-4">
                <div class="blog-post">
                    <a class="blog-post__img" href="<?php echo e(route('blog.details', $blog->slug)); ?>">
                        <img class="blog-post__img-is"
                            src="<?php echo e(frontendImage('blog', @$blog->data_values->image, '500x250', thumb:true)); ?>"
                            alt="<?php echo app('translator')->get('image'); ?>">
                    </a>
                    <div class="blog-post__body">
                        <ul class="blog-post-meta mb-3">
                            <li class="blog-post-meta__item">
                                <i class="las la-calendar text--base fs-20"></i>
                                <span class="text"><?php echo e(showDateTime($blog->created_at)); ?></span>
                            </li>
                        </ul>

                        <h5 class="mb-3">
                            <a class="blog-post__title" href="<?php echo e(route('blog.details', $blog->slug)); ?>">
                                <?php echo e(__($blog->data_values->title)); ?>

                            </a>
                        </h5>
                        <p class="blog-post__article mt-3">
                            <?php echo __(strLimit(strip_tags($blog->data_values->description_nic), 85));?>
                        </p>
                        <div class="text-list flex-align mt-3">
                            <a href="<?php echo e(route('blog.details', $blog->slug)); ?>"
                                class="read-more-btn"><?php echo app('translator')->get('Read More'); ?> <i class="las la-arrow-right"></i></a>
                        </div>

                    </div>
                </div>
            </div>
        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
    </div>
</section>
<?php /**PATH /home/takemkbc/mostaqlen.com/core/resources/views/templates/basic/sections/blog.blade.php ENDPATH**/ ?>