<?php
    $policyPages = getContent('policy_pages.element', false, null, true);
    $content = getContent('register.content', true);
    $subcategories = App\Models\Subcategory::active()
        ->whereHas('category', function ($q) {
            $q->active();
        })
        ->featured()
        ->hasGigs()
        ->get();
    $partnerElement = getContent('partner.element', orderById: true);
?>

<?php $__env->startSection('panel'); ?>
    <?php if(gs('registration')): ?>
        <section class="account">
            <div class="account__inner">
                <div class="account-left bg-img"
                    data-background-image="<?php echo e(frontendImage('register', @$content->data_values->image, '640x960')); ?>">
                    <div class="account-left__content">
                        <h2 class="account-left__title">
                            <?php echo e(__($content->data_values->heading)); ?>

                        </h2>
                        <p class="account-left__desc">
                            <?php echo e(__($content->data_values->subheading)); ?>

                        </p>
                        <ul class="tag-list">
                            <?php $__currentLoopData = $subcategories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $subcategory): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <li class="tag-list__item"><a class="tag-list__link"
                                        href="<?php echo e(route('gig.subcategories', $subcategory->id)); ?>"><?php echo e(__($subcategory->name)); ?></a>
                                </li>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </ul>
                        <div class="brand__inner py-20">
                            <div class="brand__logos-wrapper">
                                <div class="brand__logos brand__slider-two">
                                    <?php $__currentLoopData = $partnerElement; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $partner): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <img src="<?php echo e(frontendImage('partner', @$partner->data_values->image, '160x30')); ?>"
                                            alt="<?php echo app('translator')->get('image'); ?>">
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="account-right">
                    <div class="account-right__body">
                        <div class="account-right__header">
                            <a class="account-right__logo logo" href="<?php echo e(route('home')); ?>">
                                <img src="<?php echo e(siteLogo('dark')); ?>" alt="<?php echo app('translator')->get('logo'); ?>">
                            </a>

                            <p class="account-right__member-text">
                                <?php echo app('translator')->get(' Already have an account?'); ?> <a href="<?php echo e(route('user.login')); ?>"><span
                                        class="underline"><?php echo app('translator')->get('Sign In'); ?></span></a>
                            </p>
                        </div>
                        <div class="account-right__content">
                            <form class="account-form verify-gcaptcha disableSubmission" action="<?php echo e(route('user.register')); ?>" method="POST">
                                <?php echo csrf_field(); ?>
                                <div class="row">
                                    <div class="col-12">
                                        <div class="section-heading">
                                            <h3 class="account-right__title section-heading__title " data-break="-1"
                                                data-length="1">
                                                <?php echo e(__(@$content->data_values->title)); ?></h3>
                                            <p class="account-right__title__desc">
                                                <?php echo e(__(@$content->data_values->subtitle)); ?></p>
                                        </div>
                                        <?php echo $__env->make($activeTemplate . 'partials.social_login', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                                    </div>
                                </div>

                                <div class="row">
                                    <div class="col-lg-6 col-md-12 col-sm-6 form-group">
                                        <label class="form--label required" for="firstname"><?php echo app('translator')->get('First Name'); ?></label>
                                        <input class="form--control" id="firstname" name="firstname" type="text"
                                            value="<?php echo e(old('firstname')); ?>" required>
                                    </div>

                                    <div class="col-lg-6 col-md-12 col-sm-6 form-group">
                                        <label class="form--label required" for="lastname"><?php echo app('translator')->get('Last Name'); ?></label>
                                        <input class="form--control" id="lastname" name="lastname" type="text"
                                            value="<?php echo e(old('lastname')); ?>" required>
                                    </div>

                                    <div class="col-lg-12 col-md-12 col-sm-12 form-group">
                                        <label class="form--label required" for="email"><?php echo app('translator')->get('Email Address'); ?></label>
                                        <input class="form--control checkUser" id="email" name="email" type="text"
                                            value="<?php echo e(old('email')); ?>" required>
                                    </div>

                                    <div class="col-lg-6 col-md-12 col-sm-6 form-group">
                                        <label class="form--label required" for="your-password"><?php echo app('translator')->get('Password'); ?></label>
                                        <div class="position-relative">
                                            <input
                                                class="form--control <?php if(gs('secure_password')): ?> secure-password <?php endif; ?>"
                                                id="your-password" name="password" type="password">
                                            <div class="password-show-hide fas toggle-password fa-eye-slash"
                                                id="#your-password"></div>
                                        </div>
                                    </div>

                                    <div class="col-lg-6 col-md-12 col-sm-6 form-group">
                                        <label class="form--label required" for="confirm-password"><?php echo app('translator')->get('Confirm Password'); ?></label>
                                        <div class="position-relative">
                                            <input class="form--control" id="confirm-password" name="password_confirmation"
                                                type="password">
                                            <div class="password-show-hide fas toggle-password fa-eye-slash"
                                                id="#confirm-password"></div>
                                        </div>
                                    </div>

                                    <?php if (isset($component)) { $__componentOriginalff0a9fdc5428085522b49c68070c11d6 = $component; } ?>
<?php if (isset($attributes)) { $__attributesOriginalff0a9fdc5428085522b49c68070c11d6 = $attributes; } ?>
<?php $component = App\View\Components\Captcha::resolve([] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? $attributes->all() : [])); ?>
<?php $component->withName('captcha'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag): ?>
<?php $attributes = $attributes->except(\App\View\Components\Captcha::ignoredParameterNames()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?>
<?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__attributesOriginalff0a9fdc5428085522b49c68070c11d6)): ?>
<?php $attributes = $__attributesOriginalff0a9fdc5428085522b49c68070c11d6; ?>
<?php unset($__attributesOriginalff0a9fdc5428085522b49c68070c11d6); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalff0a9fdc5428085522b49c68070c11d6)): ?>
<?php $component = $__componentOriginalff0a9fdc5428085522b49c68070c11d6; ?>
<?php unset($__componentOriginalff0a9fdc5428085522b49c68070c11d6); ?>
<?php endif; ?>

                                    <div class="col-md-12 form-group">
                                        <div class="form--check">
                                            <input class="form-check-input" id="policy-privacy" name="agree"
                                                type="checkbox" <?php if(old('agree')): echo 'checked'; endif; ?> required>

                                            <label class="form-check-label" for="policy-privacy">
                                                <?php echo app('translator')->get('By proceeding, you agree to the'); ?>
                                                <?php $__currentLoopData = $policyPages; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $policy): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                    <a class="link" href="<?php echo e(route('policy.pages', $policy->slug)); ?>"
                                                        target="_blank"><?php echo e(__($policy->data_values->title)); ?></a>
                                                    <?php if(!$loop->last): ?>
                                                        ,
                                                    <?php endif; ?>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                            </label>
                                        </div>
                                    </div>

                                    <div class="col-md-12 form-group">
                                        <button class="w-100 btn btn--base" id="recaptcha" type="submit">
                                            <?php echo app('translator')->get('Sign Up'); ?>
                                        </button>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </section>

        <div class="modal" id="existModalCenter">
            <div class="modal-dialog modal-dialog-centered">
                <div class="modal-content">
                    <div class="modal-body p-4">
                        <div class="d-flex justify-content-between">
                            <h5 class="mb-0"><?php echo app('translator')->get('You are with us'); ?></h5>
                            <button class="btn-close" data-bs-dismiss="modal" type="button"></button>
                        </div>
                        <p class="py-3"><?php echo app('translator')->get('You already have an account please Login'); ?></p>
                        <div class="text-end">
                            <button class="btn btn-dark btn--sm" data-bs-dismiss="modal"
                                type="button"><?php echo app('translator')->get('Close'); ?></button>
                            <a class="btn btn--base btn--sm" href="<?php echo e(route('user.login')); ?>"><?php echo app('translator')->get('Login'); ?></a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    <?php else: ?>
        <?php echo $__env->make($activeTemplate . 'partials.registration_disabled', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    <?php endif; ?>
<?php $__env->stopSection(); ?>

<?php if(gs('registration')): ?>
    <?php $__env->startPush('style-lib'); ?>
        <link href="<?php echo e(asset($activeTemplateTrue . 'css/main.css')); ?>" rel="stylesheet">
    <?php $__env->stopPush(); ?>

    <?php $__env->startPush('script-lib'); ?>
        <?php if(gs('secure_password')): ?>
            <script src="<?php echo e(asset('assets/global/js/secure_password.js')); ?>"></script>
        <?php endif; ?>
        <?php echo $__env->make($activeTemplate . 'partials.script_lib', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    <?php $__env->stopPush(); ?>

    <?php $__env->startPush('script'); ?>
        <script>
            "use strict";
            (function($) {

                $('.checkUser').on('focusout', function(e) {
                    var url = '<?php echo e(route('user.checkUser')); ?>';
                    var value = $(this).val();
                    var token = '<?php echo e(csrf_token()); ?>';

                    var data = {
                        email: value,
                        _token: token
                    }

                    $.post(url, data, function(response) {
                        if (response.data != false) {
                            $('#existModalCenter').modal('show');
                        }
                    });
                });
            })(jQuery);
        </script>
    <?php $__env->stopPush(); ?>

<?php endif; ?>

<?php echo $__env->make($activeTemplate . 'layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/takemkbc/mostaqlen.com/core/resources/views/templates/basic/user/auth/register.blade.php ENDPATH**/ ?>