<?php
    $footerContent    = getContent('footer.content', true);
    $subscribeContent = getContent('subscribe.content', true);
    $iconElement      = getContent('social_icon.element', false, null, true);
    $policyPages      = getContent('policy_pages.element', false, null, true);
    $contactElement   = getContent('contact_us.element', false, 3, true);
    $categories       = App\Models\Category::active()
        ->featured()
        ->orderBy('id', 'DESC')
        ->limit(3)
        ->get();
?>

<footer class="footer pt-60">
    <div class="container">
        <div class="row gy-4 gy-sm-5">
            <div class="col-sm-6 col-lg-3 order-1 order-lg-1">
                <div class="footer-item">
                    <a class="footer-item__logo" href="<?php echo e(route('home')); ?>">
                        <img src="<?php echo e(siteLogo(null, true)); ?>" alt="<?php echo e(__(gs()->site_name)); ?>">
                    </a>
                    <p class="footer-item__description">
                        <?php echo e(__($footerContent->data_values->content)); ?>

                    </p>
                </div>
            </div>

            <div class="col-lg-6 order-3 order-lg-2">
                <div class="footer-item-wrapper">
                    <div class="footer-item">
                        <h6 class="footer-item__title"><?php echo app('translator')->get('Categories'); ?></h6>
                        <ul class="footer-menu">
                            <?php $__currentLoopData = $categories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $category): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <li class="footer-menu__item"><a class="footer-menu__link" href="<?php echo e(route('gig.categories', $category->id)); ?>"><?php echo e(__($category->name)); ?></a></li>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </ul>
                    </div>
                    <div class="footer-item">
                        <h6 class="footer-item__title"><?php echo app('translator')->get('Quick Links'); ?></h6>
                        <ul class="footer-menu">
                            <li class="footer-menu__item"><a class="footer-menu__link" href="<?php echo e(route('user.login')); ?>"><?php echo app('translator')->get('Sign in'); ?></a></li>
                            <li class="footer-menu__item"><a class="footer-menu__link" href="<?php echo e(route('user.register')); ?>"><?php echo app('translator')->get('Sign Up'); ?></a></li>
                            <li class="footer-menu__item"><a class="footer-menu__link" href="<?php echo e(route('blog')); ?>"><?php echo app('translator')->get('Blogs'); ?></a></li>
                        </ul>
                    </div>

                    <div class="footer-item">
                        <h6 class="footer-item__title"><?php echo app('translator')->get('Important Links'); ?></h6>
                        <ul class="footer-menu">
                            <?php $__currentLoopData = $policyPages; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $link): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <li class="footer-menu__item"><a class="footer-menu__link" href="<?php echo e(route('policy.pages', $link->slug)); ?>"><?php echo e(__($link->data_values->title)); ?></a></li>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </ul>
                    </div>
                </div>
            </div>

            <div class="col-sm-6 col-lg-3 order-2 order-lg-3">
                <div class="footer-item">
                    <h6 class="footer-item__title"> <?php echo e(__($subscribeContent->data_values->heading)); ?></h6>
                    <p class="footer-item__description">
                        <?php echo e(__($subscribeContent->data_values->subheading)); ?>

                    </p>
                    <form class="subscribe-form" id="subscribeForm">
                        <?php echo csrf_field(); ?>
                        <input class="form--control" id="subscriber" name="email" type="email" autocomplete="off" placeholder="<?php echo app('translator')->get('Enter email address'); ?>" required>
                        <button class="btn btn--sm btn--base" type="submit"><i class="fas fa-paper-plane"></i></button>
                    </form>
                </div>
            </div>
        </div>
        <div class="footer-bottom">
            <p class="copyright-text"> &copy; <?php echo app('translator')->get('Copyright'); ?>
                <?php echo e(date('Y')); ?> <a href="<?php echo e(route('home')); ?>"><?php echo e(__(gs()->site_name)); ?>.</a>
                <?php echo app('translator')->get('All Rights Reserved'); ?></p>
                <div class="">
                    <ul class="social-list">
                        <?php $__currentLoopData = $iconElement; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $icon): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <li class="social-list__item">
                                <a class="social-list__link flex-center" target="_blank" href="<?php echo e(@$icon->data_values->url); ?>">
                                    <?php echo @$icon->data_values->social_icon; ?>
                                </a>
                            </li>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </ul>
                </div>
        </div>
    </div>
</footer>

<?php $__env->startPush('script'); ?>
    <script>
        "use strict";
        (function($) {
            var form = $("#subscribeForm");
            form.on('submit', function(e) {
                e.preventDefault();
                var data = form.serialize();
                $.ajax({
                    url: `<?php echo e(route('subscribe')); ?>`,
                    method: 'post',
                    data: data,
                    success: function(response) {
                        if (response.success) {
                            form.find('input[name=email]').val('');
                            form.find('button[type=submit]').attr('disabled', false);
                            notify('success', response.message);
                        } else {
                            notify('error', response.error);
                        }
                    }
                });
            });
        })(jQuery);
    </script>
<?php $__env->stopPush(); ?>
<?php /**PATH /home/takemkbc/mostaqlen.com/core/resources/views/templates/basic/partials/footer.blade.php ENDPATH**/ ?>